Package org.h2.dev.net

# Class PgTcpRedirect

java.lang.Object
org.h2.dev.net.PgTcpRedirect

public class PgTcpRedirect extends Object
This class helps debug the PostgreSQL network protocol. It listens on one port, and sends the exact same data to another port.

## Constructor Summary

Constructors
Constructor
Description
`PgTcpRedirect()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
This method is called when executing this application from the command line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PgTcpRedirect

public PgTcpRedirect()

## Method Details

### main

public static void main(String... args) throws Exception
This method is called when executing this application from the command line.

Parameters:
  `args` - the command line parameters
Throws:
  `Exception`